trafficserver-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bryan Call <bc...@apache.org>
Subject [ANNOUNCE] Apache Traffic Server is vulnerable to a HTTP/2 HEADERS frame attack
Date Tue, 23 Jun 2020 21:02:21 GMT
Description:
ATS is vulnerable to certain types of HTTP/2 HEADERS frames that can cause the server to allocate
a large amount of memory and spin the thread.

CVE:
CVE-2020-9494

Reported By:
Bryan Call

Vendor:
The Apache Software Foundation

Version Affected:
ATS 6.0.0 to 6.2.3
ATS 7.0.0 to 7.1.10
ATS 8.0.0 to 8.0.7

Mitigation:
6.x users should upgrade to 7.1.11, 8.0.8, or later versions
7.x users should upgrade to 7.1.11 or later versions
8.x users should upgrade to 8.0.8 or later versions

References:
	Downloads:
		https://trafficserver.apache.org/downloads
		(Please use backup sites from the link only if the mirrors are unavailable) 
	CVE:
		https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9494

-Bryan


Mime
View raw message